#include "BobHurt.h"
#include "Client.h"

void Hooks::BobHurt::callback(void* _this, glm::mat4* matrix) {
	bool cancel = false;
	for (Mod* mod : Client::modlist) {
		if (!mod->enabled && mod->onlyenabled) continue;

		mod->onBobHurt(matrix, &cancel);
	}

	if (!cancel)
		bobhurt(_this, matrix);
}
